Bug 43351 - Error from Imake: "PreProcessCmd" redefined
Error from Imake: "PreProcessCmd" redefined
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-03 12:55 EDT by Jonathan Kamens
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-04 16:57:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-06-03 12:55:36 EDT
imake -DUseInstalled -I/usr/X11R6/lib/X11/config  -DLINUX_DIST -DTOPDIR=.
-DCURDIR=.
/usr/X11R6/lib/X11/config/linux.cf:590: warning: "PreProcessCmd" redefined
/usr/X11R6/lib/X11/config/host.def:13: warning: "PreProcessCmd" redefined

(Using XFree86-devel-4.0.99.900-0.2.3.)
Comment 1 Mike A. Harris 2001-06-04 16:57:23 EDT
No..  s/Error/Warning/

It's just a harmless warning.  There were problems with some ASM being compiled
using gcc -E in Mesa, so I forced cpp to be used instead..  The warning is
there just telling me that I forgot to use "undef PreProcessCmd" before
redefining it.  Technically, IMHO the XFree86 Imake templates should check
to see if PreProcessCmd is set first..  ;o)

I believe that my 4.1.0 build doesn't need this anymore, but I'll leave the
report open until I've verified it.

Thanks.
Comment 2 Mike A. Harris 2001-06-04 17:01:13 EDT
Yep, I just looked and what was happening back then is that one of our
ancient patches was setting PreProcessCmd in linux.cf (not the proper way
to do this), and then my Imake directives in host.def were doing so as well.

Both have been removed for a week or so as they seem unneeded now.
XFree86 4.1.0-0.0.3 or later is the good bits.  ;o)

Note You need to log in before you can comment on or make changes to this bug.